# Enum Class ISemanticTokensProvider.TokenType

java.lang.Object
java.lang.Enum<ISemanticTokensProvider.TokenType>
org.eclipse.jdt.ui.text.java.ISemanticTokensProvider.TokenType

All Implemented Interfaces:
  `Serializable, Comparable<ISemanticTokensProvider.TokenType>, Constable`

Enclosing interface:
  `ISemanticTokensProvider`

public static enum ISemanticTokensProvider.TokenType extends Enum<ISemanticTokensProvider.TokenType>

Since:
  3.34

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSTRACT_CLASS`
`ABSTRACT_METHOD_INVOCATION`
`ANNOTATION`
`ANNOTATION_ELEMENT_REFERENCE`
`AUTOBOXING`
`BRACKET`
`CLASS`
`DEFAULT`
`DEPRECATED_MEMBER`
`ENUM`
`FIELD`
`INHERITED_FIELD`
`INHERITED_METHOD_INVOCATION`
`INTERFACE`
`KEYWORD`
`LOCAL_VARIABLE`
`LOCAL_VARIABLE_DECLARATION`
`METHOD`
`METHOD_DECLARATION`
`MULTI_LINE_COMMENT`
`NUMBER`
`OPERATOR`
`PARAMETER_VARIABLE`
`RESTRICTED_IDENTIFIER`
`SINGLE_LINE_COMMENT`
`STATIC_FIELD`
`STATIC_FINAL_FIELD`
`STATIC_METHOD_INVOCATION`
`STRING`
`TYPE_ARGUMENT`
`TYPE_VARIABLE`

## Method Summary

Modifier and Type
Method
Description
`static ISemanticTokensProvider.TokenType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ISemanticTokensProvider.TokenType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final ISemanticTokensProvider.TokenType DEFAULT

### OPERATOR

public static final ISemanticTokensProvider.TokenType OPERATOR

### SINGLE_LINE_COMMENT

public static final ISemanticTokensProvider.TokenType SINGLE_LINE_COMMENT

### MULTI_LINE_COMMENT

public static final ISemanticTokensProvider.TokenType MULTI_LINE_COMMENT

### BRACKET

public static final ISemanticTokensProvider.TokenType BRACKET

### STRING

public static final ISemanticTokensProvider.TokenType STRING

### RESTRICTED_IDENTIFIER

public static final ISemanticTokensProvider.TokenType RESTRICTED_IDENTIFIER

### STATIC_FINAL_FIELD

public static final ISemanticTokensProvider.TokenType STATIC_FINAL_FIELD

### STATIC_FIELD

public static final ISemanticTokensProvider.TokenType STATIC_FIELD

### FIELD

public static final ISemanticTokensProvider.TokenType FIELD

### METHOD_DECLARATION

public static final ISemanticTokensProvider.TokenType METHOD_DECLARATION

### STATIC_METHOD_INVOCATION

public static final ISemanticTokensProvider.TokenType STATIC_METHOD_INVOCATION

### INHERITED_METHOD_INVOCATION

public static final ISemanticTokensProvider.TokenType INHERITED_METHOD_INVOCATION

### ANNOTATION_ELEMENT_REFERENCE

public static final ISemanticTokensProvider.TokenType ANNOTATION_ELEMENT_REFERENCE

### ABSTRACT_METHOD_INVOCATION

public static final ISemanticTokensProvider.TokenType ABSTRACT_METHOD_INVOCATION

### LOCAL_VARIABLE_DECLARATION

public static final ISemanticTokensProvider.TokenType LOCAL_VARIABLE_DECLARATION

### LOCAL_VARIABLE

public static final ISemanticTokensProvider.TokenType LOCAL_VARIABLE

### PARAMETER_VARIABLE

public static final ISemanticTokensProvider.TokenType PARAMETER_VARIABLE

### DEPRECATED_MEMBER

public static final ISemanticTokensProvider.TokenType DEPRECATED_MEMBER

### TYPE_VARIABLE

public static final ISemanticTokensProvider.TokenType TYPE_VARIABLE

### METHOD

public static final ISemanticTokensProvider.TokenType METHOD

### AUTOBOXING

public static final ISemanticTokensProvider.TokenType AUTOBOXING

### CLASS

public static final ISemanticTokensProvider.TokenType CLASS

### ENUM

public static final ISemanticTokensProvider.TokenType ENUM

### INTERFACE

public static final ISemanticTokensProvider.TokenType INTERFACE

### ANNOTATION

public static final ISemanticTokensProvider.TokenType ANNOTATION

### TYPE_ARGUMENT

public static final ISemanticTokensProvider.TokenType TYPE_ARGUMENT

### NUMBER

public static final ISemanticTokensProvider.TokenType NUMBER

### ABSTRACT_CLASS

public static final ISemanticTokensProvider.TokenType ABSTRACT_CLASS

### INHERITED_FIELD

public static final ISemanticTokensProvider.TokenType INHERITED_FIELD

### KEYWORD

public static final ISemanticTokensProvider.TokenType KEYWORD

## Method Details

### values

public static ISemanticTokensProvider.TokenType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ISemanticTokensProvider.TokenType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null